Subject: RE: Why no separate MPLS label/Shim Header when we use MPLS over ATM ??

From: "Sharma, Prem" <[email-masked]>
Date: Mon, 2 Apr 2001 13:24:00 -0700

Hi Vikram,

> -----Original Message-----
> From: Vikram Gupta [mailto:[email-masked]]
> Subject: Why no separate MPLS label/Shim Header when we use MPLS over
> ATM ??
> 
> 
> Hello Everybody,
> 
> I have 2 questions about which I am pretty
> confused.......
> 1.Why is it that sometimes the MPLS  label is  embedded in
> the header of the data link layer ( e.g in the ATM VCI/VPI and the
> frame-relay DLCI ) and sometimes it is in the shim (between 
> the Layer-2 data-
> link header and Layer-3 network layer header, as in Point 
> -to-Point PPP/Ethernet).
> Why 2 different mechanisms ?

The mechanisms are not different. The idea is to switch the packet at
layer 2 itself rather than doing the route lookup at each and every hop.
The support for carrying the labels is available from the underlying 
layers when the underlying layers happen to be ATM or frame relay [VPI/VCI
in ATM and DLCI in Frame Relay] but the same support is not there when 
the underlying layer is PPP/Ethernet.

So, shim header, which is placed between the layer 2 and layer 3
headers is actually a place holder for carrying the labels. [It serves
some other purposes also.]

> 
> 2.Would it be correct to say that when  ATM is the data-link 
> layer ,then we have
> No separate MPLS label/Shim Header to encapsulate the IP 
> Packet.The IP packet is directly encapsulated  in ATM cells . 
> ..and the VPI/VCI
> Present in the ATM Cell Header do the work of MPLS Labels.
> 

This assumption is not correct. Even when the underlying layers are
ATM or Frame Relay, the Shim Header is framed and placed before the 
layer3 header (and payload). Then the resultant is segmented and
sent in individual cells/frames (after null encapsulation of RFC 2684). 
There could be multiple shim headers ahead of the layer 3 packet 
(label stacking) but the top label decides the value VPI/VCI in the 
ATM cell header and DLCI in frame relay header.

> In such a case what would be the significance of MPLS 
> signaling protocols like LDP /RSVP which co-ordinate Label 
> Distribution and create  LSPs ? 

The signalling protocols are used to obtain labels (VPI/VCI or DLCI)
for the LSPs.

> Would they co-ordinate which VPIs/VCIs  would be used for 
> which LSP ?

Yes.

> But how could LDP possibly tell ATM
> which VPI/VCI to use for which LSP ??

The label value in the topmost shim header dictates which VPI/VCI to use
for the ATM cell header. [Normally, this happens at the ingress end of
the LSP; Core routers just switch the cells.]

> 
> Sorry if the questions sound stupid...since I am new to this field.
> Thanks a lot,
> Vik
> 

  No problem, that's fine. A lot of useful information is available 
  on the web for MPLS. You could go though some whitepapers also.

Prem

> 
> _____________________________________________________________
> Want a new web-based email account ? ---> http://www.firstlinux.net
> 
>

---

From: "Xu Yingxiao" <[email-masked]>
Date: Tue, 3 Apr 2001 09:44:35 +0800

I  am investigating the background of MPLS, the earlier document I find is A Framework for Multiprotocol Label Switching <draft-ietf-mpls-framework-00.txt>  in May 12, 1997. 

Is it the first appearence of the word MPLS? I think there should be some articles first arise the word MPLS in periodical or conference.

---

From: George Swallow <[email-masked]>
Date: Mon, 02 Apr 2001 22:55:24 -0400

It first appeared in the MPLS charter.  Circa Jan 97.

...George

==================================================================
George Swallow       Cisco Systems                   (978) 244-8143
                     250 Apollo Drive
                     Chelmsford, Ma 01824

---

From: Curtis Villamizar <[email-masked]>
Date: Tue, 03 Apr 2001 17:04:35 -0400

In message <000e01c0bbdf$a32fe4e0$517f78ca@xyx>, "Xu Yingxiao" writes:
> I  am investigating the background of MPLS, the earlier document I find is A 
> Framework for Multiprotocol Label Switching <draft-ietf-mpls-framework-00.txt
> >  in May 12, 1997. 
> 
> Is it the first appearence of the word MPLS? I think there should be some art
> icles first arise the word MPLS in periodical or conference.

Try the mailing list archives for the intserv WG.  Discussions of the
predicessors to MPLS occurred on that list.

Curtis